;
; Blitz3D "general purpose Game Settings Menu" 
; by "Mustang" 8/2002 www.caffeineoverdose.net
; 
; DrawAlphaImage-function by simon@acid.co.nz
;
; My GameMenu Code & Gfx > fully Public Domain
; ---> http:\\www.caffeineoverdose.net\Blitz3d
;
;=======================================================================================
; 
;=======================================================================================

AppTitle = "GameMenu 1.0 by Mustang"

.GameMenu ;marker

;Let's go to the GameMenu to set the settings...

Include "GameMenu.bb"

;And let's apply the selected settings to our "Game"

AntiAlias 	= AntiAliasValue$
WBuffer 	= DepthBuffer$
HWMultiTex	= MultiTexValue$

If GameSmode$ = "fullscreen"
	Graphics3D GameScreenX,GameScreenY,GameScreenC,1	;fullscreen
	Else
	Graphics3D GameScreenX,GameScreenY,GameScreenC,2	;windowed
EndIf

;=======================================================================================
; fake GameLoop starts [insert your actual gamecode inside this loop]
;=======================================================================================

cam = CreateCamera()
CameraClsMode cam,0,1
MoveEntity cam,0,0,-5

light = CreateLight()
MoveEntity light,-10,10,-10

cube = CreateCube()
EntityColor cube,51,51,204
EntityAlpha cube,.75

y = -220: LineSpacing = 12: z = 0

Repeat

	Cls
	Z=Z+1
	Color 153,153,255
	Rect 40,y-10,345,250
	Color 0,0,92
	Rect 50,y,325,230
	
	If z=<40 Then
	Color 153,153,255
	Rect 50,y+62,9,10
	EndIf
	If z=80 Then z=0
	
	y = y+1
	If y > GraphicsHeight() Then y=-220
	
	Color 153,153,255
	w=6
	
	Text 50,(LineSpacing*0)+y,"    **** COMMODORE 64 BASIC V2 ****"
	Text 50,(LineSpacing*2)+y," 64K RAM SYSTEM  38911 BASIC BYTES FREE"
	Text 50,(LineSpacing*4)+y,"READY"

		For s.SMenuItem = Each SMenuItem
			
			Text 50,(LineSpacing*w)+y,s\Tag$+":"
			
				Select s\DChoice
				Case 1
					Text 160,(LineSpacing*w)+y,s\Choice1$
				Case 2
					Text 160,(LineSpacing*w)+y,s\Choice2$
				Case 3
					Text 160,(LineSpacing*w)+y,s\Choice3$
				Case 4
					Text 160,(LineSpacing*w)+y,s\Choice4$
				End Select
				
			w = w + 1
			
		Next
		
	Text 50,(LineSpacing*w+1)+y,"PRESS 'ESC' TO GET BACK TO THE NENU"
	
	TurnEntity cube,2,1,.5 
	RenderWorld				
	
		;=====================================================
		;DEBUG INFO
		;=====================================================
		If DEBUGinfo = True
		If GfxModeExists (GameScreenX,GameScreenY,GameScreenC)
			Text 0,0,"OK - can do this:"
		Else
			Text 0,0,"Ooops - no can do:"
		EndIf
		Text 150,0, GameScreenX+"x"+GameScreenY+"x"+GameScreenC
		Text 0,20, GameSmode$
		Text 0,40, MenuSmode$
		Text 0,60, AntiAliasValue$
		Text 0,80, DepthBuffer$
		Text 0,100, MultiTexValue$
		Text 0,120, Difficulty$
		Text 0,140, GFXquality$
		Text 0,160, SoundFXvol$	
		Text 0,180, MusicFXvol$
		EndIf
		;=====================================================
	
	Flip
	
Until KeyHit (1)

;=======================================================================================
; fake GameLoop ends
;=======================================================================================

For m.MMenuItem = Each MMenuItem ;Cleaning...
Delete m
Next
						
For s.SMenuItem = Each SMenuItem ;Cleaning...
Delete s
Next
						
Goto GameMenu ;let's go back to the GameMenu if the user exits the game with ESC

End